-------------------------------------------------------------------------------
--- $Id: Lava.hs#12 2010/09/29 17:00:28 REDMOND\\satnams $
-------------------------------------------------------------------------------

-- | Xilinx Lava is a library for FPGA circuit design with a focus
--   on circuit layout.

module Lava (module Lava.Combinators,
             module Lava.Ports,
             Dir(..), NetType(..), Netlist, Out, Bit, XilinxArchitecture(..),
             module Lava.Col,
             module Lava.ComputeNetlist,
             module Lava.CircuitGraphToVHDL,
             module Lava.OverlayTile,
             module Lava.Middle,
	     module Lava.PrimitiveGates,
             module Lava.Instantiate,
             module Lava.LUTGates,
             module Lava.Version)
where

import Lava.CircuitGraphToVHDL
import Lava.Col
import Lava.Combinators
import Lava.ComputeNetlist
import Lava.Netlist (Dir(..), NetType(..), Netlist, Out, Bit, 
                     XilinxArchitecture(..), one, zero)
import Lava.OverlayTile
import Lava.Middle
import Lava.Ports
import Lava.PrimitiveGates
import Lava.Instantiate
import Lava.LUTGates
import Lava.Version

-------------------------------------------------------------------------------

